%global momorel 1

Summary: Read a preset list of files into memory.
Name: readahead
Version: 1.4.4
Release: %{momorel}m%{?dist}
Group: System Environment/Base
License: GPL
URL: https://hosted.fedoraproject.org/projects/readahead
Source0: %{name}-%{version}.tar.bz2
Source1: default.early
Source2: default.later
Patch0: readahead-open-files-with-O_NOATIME.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):	chkconfig
Requires(pre): 	chkconfig
Requires(triggerpostun): chkconfig
Requires: procps gawk

BuildRequires: e2fsprogs-devel
BuildRequires: pkgconfig
# for /usr/bin/autopoint
BuildRequires: gettext-devel
Obsoletes: kernel-utils

%description
readahead reads the contents of a list of files into memory,
which causes them to be read from cache when they are actually
needed. Its goal is to speed up the boot process.

%prep
%setup -q
cp -f -t ./lists/ %{SOURCE1}
cp -f -t ./lists/ %{SOURCE2}
%patch0 -p1

%build
autoreconf -fiv
%configure --sbindir=/sbin
make
make rpm-lists-rebuild RPM_LIB="%{_lib}" RPM_ARCH="%{_arch}" FILES="default.early default.later"

%install
rm -rf %{buildroot}
make install DESTDIR=${RPM_BUILD_ROOT} sysconfrcdir=%{_initscriptdir}
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING README lists/README.lists
%attr(0755, root, root) %{_sysconfdir}/cron.daily/readahead.cron
%attr(0755, root, root) %{_initscriptdir}/readahead_later
%attr(0755, root, root) %{_initscriptdir}/readahead_early
%attr(0644, root, root) %config(noreplace) %{_sysconfdir}/readahead.conf
%dir %{_sysconfdir}/readahead.d
%attr(0644, root, root) %config %{_sysconfdir}/readahead.d/default.early
%attr(0644, root, root) %config %{_sysconfdir}/readahead.d/default.later
%{_sbindir}/readahead
/sbin/readahead-collector

%preun
if [ "$1" = "0" ] ; then
 /sbin/chkconfig --del readahead_later
 /sbin/chkconfig --del readahead_early
fi

%post
/sbin/chkconfig --add readahead_later
/sbin/chkconfig --add readahead_early

%triggerpostun -- kernel-utils
/sbin/chkconfig --add readahead_later
/sbin/chkconfig --add readahead_early
exit 0

%changelog
* Sat Jul 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.4-1m)
- update to 1.4.4, sync with Fedora

* Sat Jun 14 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4.1-5m)
- add BuildRequires: gettext-devel

* Mon May 26 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4.1-4m)
- add patch for glibc28

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.1-3m)
- rebuild against gcc43

* Sun Aug 12 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.4.1-2m)
- modified default.early default.later

* Mon Jun 18 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.4.1-1m)
- sync FC7
- modified default.early default.later

* Sat Aug 12 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.3-1m)
- import from fc

* Sat May 20 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2-1m)
- import from fc

* Fri Jan 13 2006 Karel Zak <kzak@redhat.com>
- check & cleanup list of files by readahead-gen script

* Wed Dec 21 2005 Karel Zak <kzak@redhat.com>
- removed double slashes in the directory names
- removed or fixed the rest of X11R6 directories

* Mon Dec 19 2005 Karel Zak <kzak@redhat.com>
- sync versioned gcc, firefox, openoffice.org, evolution dirs with FC5

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Aug  4 2005 Dave Jones <davej@redhat.com>
- Integrated changes from Ville Skyttä (#164872)
  - Fix inverted logic in readahead_early also.
  - readahead_early looks useful in more runlevels than just 5.
  - Sync versioned gcc, firefox and openoffice.org dirs with FC4 updates.

* Tue Aug  2 2005 Dave Jones <davej@redhat.com>
- Fix inverted free memory test in startup script. (#164872)

* Wed May 18 2005 Bill Nottingham <notting@redhat.com>
- new readahead.c from Ziga Mahkovec <ziga.mahkovec@klika.si>
  - optimizes read access for more throughput
- regenerate file lists (#128444)
- fix lack of newlines (#146744)
- fix lists so that they are architecture-neutral
- move check for > 384MB into the init scripts, not the %%post

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4

* Thu Feb 10 2005 Dave Jones <davej@redhat.com>
- Remove non-existent files from file lists.

* Fri Jan 14 2005 Dave Jones <davej@redhat.com>
- Don't do readahead if we have less than 256MB of memory.

* Sat Dec 18 2004 Dave Jones <davej@redhat.com>
- Initial packaging, based upon kernel-utils.

